Get portfolio balance history

​

Returns portfolio balance history for the specified business, filtered by date range or all time.

Path Parameters

  • Unique identifier for the business.

Query Parameters

  • Start of the portfolio history range (inclusive).

  • End of the portfolio history range (exclusive).

Responses

  • application/json
Request Example for get/businesses/{business_id}/portfolio_history
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/portfolio_history?start_date=2023-01-01&end_date=2023-12-31'
[
  {
    "total_unallocated": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "total_value": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "total_return": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "products": [
      {
        "product": "managed_treasuries",
        "current_allocation": {
          "percentage": 12.34,
          "value": {
            "currency": "USD",
            "amount": "150000.00"
          }
        },
        "target_allocation": {
          "percentage": 12.34,
          "value": {
            "currency": "USD",
            "amount": "150000.00"
          }
        },
        "return": {
          "currency": "USD",
          "amount": "150000.00"
        }
      }
    ],
    "date": "2022-01-01T00:00:00.000Z"
  }
]